/*
Core

Core API is used to manage resources around organisation like auth, set webhooks per channels, manage campaigns.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package coreapi

import (
	"encoding/json"
)

// checks if the MediaCenterFileUpdate type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &MediaCenterFileUpdate{}

// MediaCenterFileUpdate struct for MediaCenterFileUpdate
type MediaCenterFileUpdate struct {
	OrganizationWide *bool `json:"organization_wide,omitempty"`
	Public *bool `json:"public,omitempty"`
}

// NewMediaCenterFileUpdate instantiates a new MediaCenterFileUpdate object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewMediaCenterFileUpdate() *MediaCenterFileUpdate {
	this := MediaCenterFileUpdate{}
	return &this
}

// NewMediaCenterFileUpdateWithDefaults instantiates a new MediaCenterFileUpdate object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewMediaCenterFileUpdateWithDefaults() *MediaCenterFileUpdate {
	this := MediaCenterFileUpdate{}
	return &this
}

// GetOrganizationWide returns the OrganizationWide field value if set, zero value otherwise.
func (o *MediaCenterFileUpdate) GetOrganizationWide() bool {
	if o == nil || IsNil(o.OrganizationWide) {
		var ret bool
		return ret
	}
	return *o.OrganizationWide
}

// GetOrganizationWideOk returns a tuple with the OrganizationWide field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *MediaCenterFileUpdate) GetOrganizationWideOk() (*bool, bool) {
	if o == nil || IsNil(o.OrganizationWide) {
		return nil, false
	}
	return o.OrganizationWide, true
}

// HasOrganizationWide returns a boolean if a field has been set.
func (o *MediaCenterFileUpdate) HasOrganizationWide() bool {
	if o != nil && !IsNil(o.OrganizationWide) {
		return true
	}

	return false
}

// SetOrganizationWide gets a reference to the given bool and assigns it to the OrganizationWide field.
func (o *MediaCenterFileUpdate) SetOrganizationWide(v bool) {
	o.OrganizationWide = &v
}

// GetPublic returns the Public field value if set, zero value otherwise.
func (o *MediaCenterFileUpdate) GetPublic() bool {
	if o == nil || IsNil(o.Public) {
		var ret bool
		return ret
	}
	return *o.Public
}

// GetPublicOk returns a tuple with the Public field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *MediaCenterFileUpdate) GetPublicOk() (*bool, bool) {
	if o == nil || IsNil(o.Public) {
		return nil, false
	}
	return o.Public, true
}

// HasPublic returns a boolean if a field has been set.
func (o *MediaCenterFileUpdate) HasPublic() bool {
	if o != nil && !IsNil(o.Public) {
		return true
	}

	return false
}

// SetPublic gets a reference to the given bool and assigns it to the Public field.
func (o *MediaCenterFileUpdate) SetPublic(v bool) {
	o.Public = &v
}

func (o MediaCenterFileUpdate) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o MediaCenterFileUpdate) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.OrganizationWide) {
		toSerialize["organization_wide"] = o.OrganizationWide
	}
	if !IsNil(o.Public) {
		toSerialize["public"] = o.Public
	}
	return toSerialize, nil
}

type NullableMediaCenterFileUpdate struct {
	value *MediaCenterFileUpdate
	isSet bool
}

func (v NullableMediaCenterFileUpdate) Get() *MediaCenterFileUpdate {
	return v.value
}

func (v *NullableMediaCenterFileUpdate) Set(val *MediaCenterFileUpdate) {
	v.value = val
	v.isSet = true
}

func (v NullableMediaCenterFileUpdate) IsSet() bool {
	return v.isSet
}

func (v *NullableMediaCenterFileUpdate) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableMediaCenterFileUpdate(val *MediaCenterFileUpdate) *NullableMediaCenterFileUpdate {
	return &NullableMediaCenterFileUpdate{value: val, isSet: true}
}

func (v NullableMediaCenterFileUpdate) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableMediaCenterFileUpdate) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


